Fix a never-catched bug in mysql_install_db script.
Now the SKIP_DNS_CHECK knob is pointless.
This commit is contained in:
parent
ed3ef8d326
commit
e5ba38231e
Notes:
svn2git
2021-03-31 03:12:20 +00:00
svn path=/head/; revision=103762
@ -129,10 +129,6 @@ pre-fetch:
|
||||
@${ECHO} " (default is /var/db/mysql)."
|
||||
@${ECHO} " WITH_LINUXTHREADS=yes Use the linuxthreads pthread library."
|
||||
@${ECHO} " OVERWRITE_DB=yes Re-initialize default databases."
|
||||
@${ECHO} " SKIP_DNS_CHECK=yes Don't run resolveip to do an additional DNS"
|
||||
@${ECHO} " reverse lookup before inserting local"
|
||||
@${ECHO} " hostname into mysql database"
|
||||
@${ECHO} " (use it if your machine has no official DNS entry)."
|
||||
@${ECHO} " BUILD_OPTIMIZED=yes Enable compiler optimizations"
|
||||
@${ECHO} " (use it if you need speed)."
|
||||
@${ECHO} " BUILD_STATIC=yes Build a static version of mysqld."
|
||||
@ -160,11 +156,7 @@ post-install:
|
||||
@${RM} -r ${DB_DIR}/mysql ${DB_DIR}/test 2>/dev/null || true
|
||||
.endif
|
||||
.if !exists(${DB_DIR}) || (defined(OVERWRITE_DB) && ${OVERWRITE_DB:L} != "no")
|
||||
.if defined(SKIP_DNS_CHECK)
|
||||
${PREFIX}/bin/mysql_install_db --force --ldata=${DB_DIR}
|
||||
.else
|
||||
${PREFIX}/bin/mysql_install_db --ldata=${DB_DIR}
|
||||
.endif
|
||||
.endif
|
||||
@${SETENV} DB_DIR=${DB_DIR} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
|
||||
.endif
|
||||
|
@ -0,0 +1,22 @@
|
||||
--- scripts/mysql_install_db.sh.orig Thu Mar 11 10:20:57 2004
|
||||
+++ scripts/mysql_install_db.sh Thu Mar 11 10:27:09 2004
|
||||
@@ -118,7 +118,7 @@
|
||||
if [ $? -ne 0 ]
|
||||
then
|
||||
resolved=`$bindir/resolveip localhost 2>&1`
|
||||
- if [ $? -eq 0 ]
|
||||
+ if [ $? -ne 0 ]
|
||||
then
|
||||
echo "Neither host '$hostname' and 'localhost' could not be looked up with"
|
||||
echo "$bindir/resolveip"
|
||||
@@ -128,8 +128,8 @@
|
||||
exit 1
|
||||
fi
|
||||
echo "WARNING: The host '$hostname' could not be looked up with resolveip."
|
||||
- echo "This probably means that your libc libraries are not 100 % compatible"
|
||||
- echo "with this binary MySQL version. The MySQL daemon, mysqld, should work"
|
||||
+ echo "This probably means that your host name is not listed in your"
|
||||
+ echo "/etc/hosts file (as it should). The MySQL daemon, mysqld, should work"
|
||||
echo "normally with the exception that host name resolving will not work."
|
||||
echo "This means that you should use IP addresses instead of hostnames"
|
||||
echo "when specifying MySQL privileges !"
|
Loading…
Reference in New Issue
Block a user